Subject: Re: [PATCH] ppp: mppe: Remove VLA usage

From: Paul Mackerras <[email-masked]>
Date: Fri, 3 Aug 2018 13:13:15 +1000

On Thu, Aug 02, 2018 at 04:27:01PM -0700, Kees Cook wrote:
> On Mon, Jul 16, 2018 at 4:01 AM, Arnd Bergmann <[email-masked]> wrote:
> > On Mon, Jul 16, 2018 at 6:05 AM, Kees Cook <[email-masked]> wrote:
> >> In the quest to remove all stack VLA usage from the kernel[1], this
> >> removes the discouraged use of AHASH_REQUEST_ON_STACK (and associated
> >> VLA) by switching to shash directly and keeping the associated descriptor
> >> allocated with the regular state on the heap.
> >>
> >> [1] https://lkml.kernel.org/r/CA+55aFzCG-zNmZwX4A2FQpadafLfEzK6CC=[email-masked]
> >>
> >> Signed-off-by: Kees Cook <[email-masked]>
> >
> > I had concerns at first that this approach might make it slower, but
> > upon reading through implementation of the shash_ahash_ implementation,
> > I concluded that it can only be better than before, improving both
> > performance and stack usage.
> >
> > Acked-by: Arnd Bergmann <[email-masked]>
> 
> Paul,
> 
> Is this something you can take via your tree?

No, it would go via the netdev tree, I expect.

Paul.